.. GHC User's Guide documentation master file, created by


Welcome to the GHC User's Guide
===============================

Contents:

.. toctree::
   :maxdepth: 4
   :numbered:

   intro
   release-notes
   ghci
   runghc
   usage
   exts
   extending_ghc
   profiling
   debug-info
   gone_wrong
   hints
   utils
   win32-dlls
   javascript
   wasm
   bugs
   eventlog-formats
   glossary
   editing-guide


Indices and tables
==================

* :ref:`genindex`
* :ref:`search`
